summaryrefslogtreecommitdiff
path: root/distro/ubuntu/build
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu/build')
-rwxr-xr-xdistro/ubuntu/build26
1 files changed, 26 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..229baca
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-calc
+pkgver=2011.08.31
+pkgrel=1
+pkgdesc="Calculator for the Mate desktop environment"
+#depends=('gtk2' 'libxml2' 'libpng' 'freetype2' 'pixman' 'glib' 'pango' 'gdk-pixbuf2' 'cairo' 'atk')
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./autogen.sh || return 1
+ intltoolize --automake --copy --force || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
+
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh